# Dirtree

This package can be pip installed and run from the command line like this:

```
dirtree
```

output:

```
├── src/
│   ├── tree/
│   │   ├── __pycache__/
│   │   │   ├── __init__.cpython-313.pyc
│   │   │   └── tree.cpython-313.pyc
│   │   ├── __init__.py
│   │   └── tree.py
│   └── tree.egg-info/
│       ├── PKG-INFO
│       ├── SOURCES.txt
│       ├── dependency_links.txt
│       └── top_level.txt
├── .gitignore
├── LICENSE.txt
├── README.md
├── localtest.py
└── pyproject.toml
```
## Install

```
pip install -i https://pypi.org/simple/dirtree
```

Visit project on [PyPI](https://pypi.org/project/dirtree)

## Features

- Shows ASCII tree of current folder and beyond.
- Sorts by type (folders on top), then by name.
- Can be run from terminal or imported in Python code.

## Import in exising code

```
from dirtree import tree

tree.print_tree()
```
